<app-loading *ngIf="isLoading"></app-loading>
<div nz-row [nzGutter]="[24, 16]">
  <div nz-col class="gutter-row" nzLg="24">
    <label>{{ labelMessage }}</label>
  </div>
  <div nz-col class="gutter-row" nzLg="12">
    <mb-date-picker
      mbFormat="dd/MM/yyyy"
      mbPlaceholderText="dd/mm/yyyy"
      mbLabelText="{{
        'development.promulgate.section.effectiveDate' | translate
      }}"
      [(ngModel)]="issueCorrectionModel.effectiveDate"
      [mbDisabled]="issueCorrectionModel.sameDecision"
      (ngModelChange)="calculateMaxTime()"
    >
    </mb-date-picker>
  </div>
  <div nz-col class="gutter-row" nzLg="12">
    <label
      nz-checkbox
      [(ngModel)]="issueCorrectionModel.sameDecision"
      (ngModelChange)="checkCommonEffectiveDate()"
      class="commonDate"
      *ngIf="!commonDecision"
    >
      {{ 'development.promulgate.section.effectiveDateCommon' | translate }}
    </label>
  </div>
  <ng-container *ngIf="formRotationType === rotationName.DD">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [(ngModel)]="issueCorrectionModel.minimumTime"
        mbInputType="number"
        mbLabelText="{{
          'development.promulgate.section.minimumTime' | translate
        }}"
        mbPlaceholderText="{{
          'development.promulgate.section.minimumTime' | translate
        }}"
      ></mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [(ngModel)]="issueCorrectionModel.maximumTime"
        (ngModelChange)="calculateEndDate()"
        mbInputType="number"
        mbLabelText="{{
          'development.promulgate.section.maximumTime' | translate
        }}"
        mbPlaceholderText="{{
          'development.promulgate.section.maximumTime' | translate
        }}"
        class="maximumTime"
      ></mb-input-text>
      <mb-select
        [(ngModel)]="issueCorrectionModel.typeMaximumTime"
        (ngModelChange)="calculateEndDate()"
        [mbDataSelects]="listTypeMaximumTime"
        mbKeyLabel="name"
        mbKeyValue="type"
        mbLabelText="{{
          'development.promulgate.section.typeMaximumTimeLabel' | translate
        }}"
        mbPlaceholder="{{
          'development.promulgate.section.typeMaximumTime' | translate
        }}"
        class="typeMaximumTime"
      >
      </mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{
          'development.promulgate.section.endDate2' | translate
        }}"
        [(ngModel)]="issueCorrectionModel.endDate"
        (ngModelChange)="calculateMaxTime()"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="12"></div>
  </ng-container>
  <div nz-col class="gutter-row" nzLg="12">
    <mb-select
      [mbDataSelects]="listPromulgate"
      mbKeyLabel="name"
      mbKeyValue="id"
      mbLabelText="{{
        'development.promulgate.section.reasonIssueCorrection' | translate
      }}"
      mbPlaceholder="{{
        'development.promulgate.section.reasonIssueCorrection' | translate
      }}"
      [(ngModel)]="issueCorrectionModel.reason"
    >
    </mb-select>
  </div>
  <div nz-col class="gutter-row" nzLg="12"></div>
  <div nz-col class="gutter-row" nzLg="24">
    <mb-input-text
      [mbIsTextAre]="true"
      [mbConfig]="{ rows: 4, autoSize: true }"
      [(ngModel)]="issueCorrectionModel.detailReason"
      [mbMaxLength]="100"
      mbLabelText="{{
        'development.promulgate.section.detailReasonCorrection' | translate
      }}"
      mbPlaceholderText="{{
        'development.promulgate.section.detailReasonCorrection' | translate
      }}"
    ></mb-input-text>
  </div>
</div>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
